MONGOC_DATABASE_SET_WRITE_CONCERN(3)

NAME
mongoc_database_set_write_concern() - None

SYNOPSIS

void
mongoc_database_set_write_concern (mongoc_database_t            *database,
                                   const mongoc_write_concern_t *write_concern);

This function sets the write concern to use on operations performed with database \&. Collections created with mongoc_database_get_collection(3) after this call will inherit this write concern.

The default write concern is MONGOC_WRITE_CONCERN_W_DEFAULT: the driver blocks awaiting basic acknowledgment of write operations from MongoDB. This is the correct write concern for the great majority of applications.

PARAMETERS

database
    A mongoc_database_t \&.

write_concern
    A mongoc_write_concern_t \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.